Subject: bug#18241: 24.4.50; [PATCH] I can now highlight-lines-matching-regexp from isearch

From: Dima Kogan <[email-masked]>
Date: Tue, 25 Jun 2019 15:58:00 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Dima Kogan <[email-masked]> writes:
>
>> Before this patch it was possible to 'M-s h r' during an isearch to
>> highlight the regexp being sought. This patch adds similar functionality
>> for matching lines with 'M-s h l'. This patch moves the previous 'M-s h
>> r' isearch functionality into a macro, and then calls this macro
>> separately for the regex and line cases.
>
> Hm...  Is that a feature that would be used a lot?  It's a somewhat
> awkward interface and keystroke, I think.

I'd use it. If this is already available for "M-s h r", there's a
reasonable expectation that "M-s h l" would work too. I don't disagree
that the keystroke is awkward, but that's what we've had for a long
time, and I'd rather not change it.

> I think this should be a function that should just take a function to
> call that takes the parameters required.

OK

> And if this is something we want, it needs a NEWS entry and
> documentation updates.

I can write them if this is something we want. Is this something we
want?